# Spectre CLI

All flags can be supplied as environment variables starting with `SPECTRE_*`

e.g. `--username` -> `SPECTRE_USERNAME`

### Usage

```text
spectre [FLAGS] [site]
  -counter int
        counter (default 1)
  -scope value
        scope
  -scoper string
        scoper base (default "com.lyndir.masterpassword")
  -secret string
        secret
  -template value
        template
  -username string
        username
```

### Example

```shell
export SPECTRE_USERNAME="Robert Lee Mitchell"
export SPECTRE_SECRET="banana colored duckling"

spectre masterpasswordapp.com
# Jejr5[RepuSosp
```